Bug 60497 - Installs with language support for pt also include pt_BR
Installs with language support for pt also include pt_BR
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-28 11:57 EST by Pedro Miguel Marques Morais
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 10:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Miguel Marques Morais 2002-02-28 11:57:49 EST
Description of Problem:
If you select language support for pt (Portuguese/Portugal) you also
get installed the support files for pt_BR (Portuguese/Brazil), even
though a separate option exist for those.
Comment 1 Michael Fulbright 2002-03-26 12:31:22 EST
Deferring to future release.
Comment 2 Pedro Miguel Marques Morais 2002-12-01 17:21:24 EST
maybe this could be fixed in the current cycle? 
there are a lot of languages with sub-locales...
Comment 3 Matt Wilson 2002-12-14 19:57:32 EST
This is the correct behavior.  The files in /usr/share/locale/pt is a fallback
for pt_BR.
Comment 4 Pedro Miguel Marques Morais 2002-12-14 20:10:35 EST
I agree with you; pt_BR should get pt files installed for fallback. 
What this bug is about is pt support getting pt_BR files installed, 
not the other way around. 
So: 
pt_PT support -> only pt and pt_PT files 
pt_BR support -> pt and pt_BR files 
Right now: 
pt_PT support -> pt, pt_PT and pt_BR files 
pt_BR support -> the same files 
Comment 5 Matt Wilson 2002-12-15 10:19:51 EST
this would be a bug in each individual package that contains pt_PT and pt_BR
files. there are packages that just use %lang(pt) for both pt_PT and pt_BR. 
anaconda is doing the right thing.

Note You need to log in before you can comment on or make changes to this bug.